Subject: Re: Incoming to helium.harhan.org:/home/linuxppc/linuxppc_2_4_alt

From: Tom Rini <[email-masked]>
Date: Mon, 8 Apr 2002 11:57:58 -0700

On Mon, Apr 08, 2002 at 06:58:06PM +0100, [email-masked] wrote:
> >We shouldn't be #ifdef'ing externs, since it doesn't matter.  The
> >pmac/prep/chrp ones were hidden just because the line above was, iirc.
> >
> >And the one downside to the GENERIC_PPC32 platform_init, is that we're
> >back to adding:
> >#ifdef CONFIG_x
> > case _MACH_x:
> >  x_init(...);
> >  break;
> >#endif
> >
> >Which I think Paul was happy to see die :)
>
> No, in the version I'm implementing for 2.5, the ppc_md structure of
> each board will be statically defined and contain the init function.
> A global array will contain ppc_md pointers indexed by machine.

Won't that still lead to an:
#ifdef CONFIG_x
 ... set thingsup for CONFIG_X since this will only exist on CONFIG_x...
#endif

Or am I missing something?

--
Tom Rini (TR1265)
http://gate.crashing.org/~trini/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/